Bug 1570484

Summary: Rebase cfitsio package to 3.44 upstream to resolve security issues.
Product: [Fedora] Fedora Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: cfitsioAssignee: Sergio Pascual <sergio.pasra>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 28CC: rhel8-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: cfitsio-3.430-2.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1570483 Environment:
Last Closed: 2019-03-27 03:27:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1570483    
Bug Blocks: 1547109    

Description Huzaifa S. Sidhpurwala 2018-04-23 04:19:07 UTC
+++ This bug was initially created as a clone of Bug #1570483 +++

The Product Security Team reviewed cfitsio package and we found several security issues. They were reported upstream and a new version was released to fix these flaws.

As per: https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/docs/changes.txt

"- This release primarily patches security vulnerabilities.  We
    strongly encourage this upgrade, particularly for those running 
    CFITSIO in web accessible applications."

Please rebase Fedora 28 to use these versions.

Comment 1 Fedora Update System 2019-03-04 14:29:07 UTC
cfitsio-3.430-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3c1aed2aa9

Comment 2 Fedora Update System 2019-03-05 04:37:40 UTC
cfitsio-3.430-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3c1aed2aa9

Comment 3 Fedora Update System 2019-03-27 03:27:03 UTC
cfitsio-3.430-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.